# WOK
TKWOK
WOKUnix

# WOKUnix_Signal Class Reference

`#include <WOKUnix_Signal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUnix_Signal ()
Standard_EXPORT | WOKUnix_Signal (const WOKUnix_Signals asig)
Standard_EXPORT void | Set (const WOKUnix_Signals asig)
Standard_EXPORT void | Arm (const WOKUnix_SigHandler &ahandler)

## Static Public Member Functions

static Standard_EXPORT void | Arm (const WOKUnix_Signals asig, const WOKUnix_SigHandler &ahandler)

## Static Private Member Functions

static Standard_EXPORT Standard_Integer | GetSig (const WOKUnix_Signals asig)

## Private Attributes

WOKUnix_Signals | mysig
Standard_Boolean | isarmed

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_Signal::WOKUnix_Signal | ( |  | ) |

Standard_EXPORT WOKUnix_Signal::WOKUnix_Signal | ( | const WOKUnix_Signals | asig | ) |

## Member Function Documentation

static Standard_EXPORT void WOKUnix_Signal::Arm | ( | const WOKUnix_Signals | asig,
|  | const WOKUnix_SigHandler & | ahandler
| ) | `[static]`

Standard_EXPORT void WOKUnix_Signal::Arm | ( | const WOKUnix_SigHandler & | ahandler | ) |

static Standard_EXPORT Standard_Integer WOKUnix_Signal::GetSig | ( | const WOKUnix_Signals | asig | ) | `[static, private]`

void WOKUnix_Signal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKUnix_Signal::operator new | ( | size_t | size | ) | `[inline]`

void* WOKUnix_Signal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void WOKUnix_Signal::Set | ( | const WOKUnix_Signals | asig | ) |

## Field Documentation

Standard_Boolean WOKUnix_Signal::isarmed `[private]`

WOKUnix_Signals WOKUnix_Signal::mysig `[private]`

The documentation for this class was generated from the following file:

- WOKUnix_Signal.hxx